GDB (xrefs)

Enumerations | Functions | Variables
tui.h File Reference

Go to the source code of this file.

## Enumerations
enum | tui_status { TUI_SUCCESS, TUI_FAILURE }
enum | tui_win_type { SRC_WIN = 0, DISASSEM_WIN, DATA_WIN, CMD_WIN, MAX_MAJOR_WINDOWS, LOCATOR_WIN, EXEC_INFO_WIN, DATA_ITEM_WIN, MAX_WINDOWS, UNDEFINED_WIN }
enum | tui_key_mode { TUI_COMMAND_MODE, TUI_SINGLE_KEY_MODE, TUI_ONE_COMMAND_MODE }

## Functions
void | strcat_to_buf (char *, int, const char *)
CORE_ADDR | tui_get_low_disassembly_address (struct gdbarch *, CORE_ADDR, CORE_ADDR)
void | tui_show_assembly (struct gdbarch *gdbarch, CORE_ADDR addr)
int | tui_is_window_visible (enum tui_win_type type)
int | tui_get_command_dimension (unsigned int *width, unsigned int *height)
void | tui_initialize_readline (void)
void | tui_enable (void)
void | tui_disable (void)
void | tui_set_key_mode (enum tui_key_mode mode)
void | tui_show_source (const char *fullname, int line)
enum tui_status | tui_set_layout_by_name (const char *)

## Variables
enum tui_key_mode | tui_current_key_mode
int | tui_active

## Enumeration Type Documentation

## ◆ tui_key_mode

enum tui_key_mode

Enumerator
TUI_COMMAND_MODE |
TUI_SINGLE_KEY_MODE |
TUI_ONE_COMMAND_MODE |

Definition at line 73 of file tui.h.

## ◆ tui_status

enum tui_status

Enumerator
TUI_SUCCESS |
TUI_FAILURE |

Definition at line 30 of file tui.h.

## ◆ tui_win_type

enum tui_win_type

Enumerator
SRC_WIN |
DISASSEM_WIN |
DATA_WIN |
CMD_WIN |
MAX_MAJOR_WINDOWS |
LOCATOR_WIN |
EXEC_INFO_WIN |
DATA_ITEM_WIN |
MAX_WINDOWS |
UNDEFINED_WIN |

Definition at line 37 of file tui.h.

## Function Documentation

## ◆ strcat_to_buf()

void strcat_to_buf | ( | char * | ,
|  | int | ,
|  | const char * |
| ) |  |

Definition at line 562 of file tui.c.

Referenced by tui_make_status_line(), tui_set_locator_fullname(), and tui_set_locator_info().

## ◆ tui_disable()

void tui_disable | ( | void |  | ) |

Definition at line 518 of file tui.c.

References gdb_save_tty_state(), tui_active, tui_readline_standard_keymap, tui_remove_hooks(), tui_setup_io(), and tui_update_gdb_sizes().

Referenced by tui_interp::suspend(), tui_disable_command(), tui_exit(), tui_rl_switch_mode(), and undo_terminal_modifications_before_exit().

## ◆ tui_enable()

void tui_enable | ( | void |  | ) |

Definition at line 401 of file tui.c.

References _, deprecated_safe_get_selected_frame(), error(), gdb_getenv_term(), gdb_save_tty_state(), gdb_stdout, interp_name(), INTERP_TUI, SRC_COMMAND, top_level_interpreter(), tui_active, TUI_CMD_WIN, tui_current_key_mode, tui_finish_init, tui_install_hooks(), tui_refresh_all_win(), tui_resize_all(), tui_rl_startup_hook(), tui_set_key_mode(), tui_set_layout(), tui_set_term_height_to(), tui_set_term_width_to(), tui_set_win_focus_to(), tui_set_win_resized_to(), tui_setup_io(), tui_show_frame_info(), TUI_SRC_WIN, tui_update_gdb_sizes(), tui_update_variables(), tui_win_resized(), and ui_file_isatty().

Referenced by tui_interp::resume(), tui_enable_command(), tui_refresh_all_command(), tui_reg_command(), tui_rl_switch_mode(), tui_scroll_backward_command(), tui_scroll_forward_command(), tui_scroll_left_command(), tui_scroll_right_command(), tui_set_focus_command(), tui_set_layout_by_name(), tui_set_tab_width_command(), tui_set_win_height(), tui_set_win_height_command(), and tui_show_registers().

## ◆ tui_get_command_dimension()

int tui_get_command_dimension | ( | unsigned int * | width,
|  | unsigned int * | height
| ) |  |

Definition at line 661 of file tui.c.

References tui_active, and TUI_CMD_WIN.

Referenced by init_page_info().

## ◆ tui_get_low_disassembly_address()

CORE_ADDR tui_get_low_disassembly_address | ( | struct gdbarch * | ,
|  | CORE_ADDR | ,
|  | CORE_ADDR |
| ) |  |

Definition at line 359 of file tui-disasm.c.

References DISASSEM_COMMAND, DISASSEM_WIN, tui_default_win_viewport_height(), and tui_find_disassembly_address().

Referenced by disassemble_command(), disassemble_current_function(), and tui_show_frame_info().

## ◆ tui_initialize_readline()

void tui_initialize_readline | ( | void |  | ) |

Definition at line 329 of file tui.c.

References tui_char_command::cmd, tui_commands, tui_keymap, tui_readline_standard_keymap, tui_rl_change_windows(), tui_rl_command_key(), tui_rl_command_mode(), tui_rl_delete_other_windows(), tui_rl_next_keymap(), tui_rl_other_window(), and tui_rl_switch_mode().

Referenced by tui_interp::init().

## ◆ tui_is_window_visible()

int tui_is_window_visible | ( | enum tui_win_type | type | ) |

Definition at line 649 of file tui.c.

References tui_win_info::generic, tui_gen_win_info::is_visible, tui_active, tui_win_list, and type.

Referenced by print_disassembly(), and tui_refresh_frame_and_register_information().

## ◆ tui_set_key_mode()

void tui_set_key_mode | ( | enum tui_key_mode | mode | ) |

Definition at line 318 of file tui.c.

References tui_current_key_mode, tui_keymap, tui_readline_standard_keymap, tui_show_locator_content(), and TUI_SINGLE_KEY_MODE.

Referenced by tui_enable(), tui_inferior_exit(), tui_redisplay_readline(), tui_rl_command_key(), tui_rl_command_mode(), tui_rl_next_keymap(), and tui_rl_startup_hook().

## ◆ tui_set_layout_by_name()

enum tui_status tui_set_layout_by_name | ( | const char * |  | ) |

Definition at line 400 of file tui-layout.c.

References _, DISASSEM_COMMAND, DISASSEM_DATA_COMMAND, next_layout(), prev_layout(), SRC_COMMAND, SRC_DATA_COMMAND, SRC_DISASSEM_COMMAND, status, string, subset_compare(), tui_current_layout(), tui_enable(), TUI_FAILURE, tui_set_layout(), TUI_SUCCESS, UNDEFINED_LAYOUT, and warning().

Referenced by tui_layout_command(), tui_reg_command(), and tui_show_registers().

## ◆ tui_show_assembly()

void tui_show_assembly | ( | struct gdbarch * | gdbarch,
|  | CORE_ADDR | addr
| ) |  |

Definition at line 642 of file tui.c.

References DISASSEM_WIN, tui_add_win_to_layout(), and tui_update_source_windows_with_addr().

Referenced by print_disassembly().

## ◆ tui_show_source()

void tui_show_source | ( | const char * | fullname,
|  | int | line
| ) |  |

Definition at line 630 of file tui.c.

References get_current_source_symtab_and_line(), symtab_and_line::line, SRC_WIN, symtab_and_line::symtab, tui_add_win_to_layout(), tui_update_locator_fullname(), and tui_update_source_windows_with_line().

Referenced by tui_ui_out::do_field_string().

## Variable Documentation

## ◆ tui_active

int tui_active

Definition at line 60 of file tui.c.

Referenced by disassemble_command(), disassemble_current_function(), tui_interp::interp_ui_out(), tui_interp::suspend(), tui_disable(), tui_enable(), tui_get_command_dimension(), tui_is_window_visible(), tui_new_objfile_hook(), tui_readline_output(), tui_rl_change_windows(), tui_rl_delete_other_windows(), tui_rl_next_keymap(), tui_rl_other_window(), tui_rl_switch_mode(), tui_set_var_cmd(), and tui_update_gdb_sizes().

## ◆ tui_current_key_mode

enum tui_key_mode tui_current_key_mode

Definition at line 63 of file tui.c.

Referenced by tui_enable(), tui_make_status_line(), tui_redisplay_readline(), tui_rl_next_keymap(), tui_rl_startup_hook(), and tui_set_key_mode().